Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

Rate Limits


Twilio supported SDKs

The Twilio SendGrid Web REST API v3 provides SDKs for seven different languages.


Rate limit response headers

rate-limit-response-headers page anchor

Each Web API response includes rate-limit headers that indicate how many requests remain in the current refresh period. Each endpoint permits a fixed number of requests per refresh period. If you exceed that limit, the API returns an HTTP 429 (Too Many Requests) status code.

Example

example page anchor
GET https://api.sendgrid.com/v3/resource HTTP/1.1
1
HTTP/1.1 200 OK
2
Content-Type: application/json
3
X-RateLimit-Limit: 500
4
X-RateLimit-Remaining: 499
5
X-RateLimit-Reset: 1392815263
6
7
{
8
"foo": "bar"
9
}

When You Reach a Rate Limit

when-you-reach-a-rate-limit page anchor

When you reach a rate limit, you can no longer make requests against that endpoint for the remainder of the refresh period, and the API returns a 429 response.

GET https://api.sendgrid.com/v3/resource/ HTTP/1.1
1
HTTP/1.1 429 TOO MANY REQUESTS
2
Content-Type: application/json
3
X-RateLimit-Limit: 150
4
X-RateLimit-Remaining: 0
5
X-RateLimit-Reset: 1392815263
6
7
{
8
"errors": [
9
{
10
"field": null,
11
"message": "too many requests"
12
},
13
]
14
}